import 'package:prompter_fq/src/option.dart';
import 'package:prompter_fq/src/terminal.dart';

final _terminal = const Terminal();

class Prompter {
  String askMultiple(String prompt, List<Option> options) {
    final input = _ask(prompt, options);

    try {
      return options[int.parse(input)].value;
    } catch (err) {
      return askMultiple(prompt, options);
    }
  }

  bool askBinary(String prompt){
    final input = _ask(prompt, []);
    return input.contains('y');
  }

  String _ask(String prompt, List<Option> options){
    _terminal.clearScreen();
    _terminal.printPrompt('$prompt (y/n)');
    _terminal.printOptions(options);

    return _terminal.collectInput();
  }
}
